.custom-grid-card .card-group {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(var(--cloumn-pc), 1fr);
    align-items: stretch;
    column-gap: var(--column-gap-pc);
    row-gap: var(--row-gap-pc);
}

.custom-grid-card .card-group .card .info {
    background: rgba(var(--color-background), calc(var(--background-opacity) * 0.01));
    height: 100%;
}

.custom-grid-card .card-group .card {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.custom-grid-card .card-group .card .block-image,
.custom-grid-card .card-group .card .block-video {
    flex: 0 0 auto;
}

.custom-grid-card .card-group .card .info {
    flex: 1 1 auto;
}

.custom-grid-card .card-group .card .info .card-icon .media {
    background: transparent;
}

.custom-grid-card .card-icon .media {
    width: 90px;
    height: 90px;
}

@media (max-width:1024px) and (min-width:768px) {
    .custom-grid-card .card-group {
        grid-template-columns: repeat(var(--cloumn-tablet), 1fr);
        column-gap: var(--column-gap-tablet);
        row-gap: var(--row-gap-tablet);
    }

    .custom-grid-card .block-group .block-group-content>* {
        width: 65%;
    }

    .custom-grid-card .custom-grid-card-continer {
        row-gap: 40px;
    }

    .custom-grid-card .info {
        padding: 40px 20px;
    }

    .custom-grid-card .card-group .card .info:has(.card-icon) {
        padding: 0 40px;
    }
}

@media (max-width:767px) {
    .custom-grid-card .card-group {
        grid-template-columns: repeat(var(--cloumn-mobile), 1fr);
        column-gap: var(--column-gap-mobile);
        row-gap: var(--row-gap-mobile);
    }
}

/* 弹性布局 */
.custom-grid-card .layout-switching {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    column-gap: var(--column-gap-pc);
    row-gap: var(--row-gap-pc);
}

.custom-grid-card .layout-switching>.card {
    --column-gap-count: calc(var(--column-gap-pc) * (var(--cloumn-pc) - 1));
    flex: 0 0 calc((100% - var(--column-gap-count)) / var(--cloumn-pc));
    width: calc((100% - var(--column-gap-count)) / var(--cloumn-pc));
    height: auto;
}

@media (max-width:1024px) and (min-width:768px) {
    .custom-grid-card .layout-switching {
        column-gap: var(--column-gap-tablet);
        row-gap: var(--row-gap-tablet);
    }

    .custom-grid-card .layout-switching>.card {
        --column-gap-count: calc(var(--column-gap-tablet) * (var(--cloumn-tablet) - 1));
        flex-basis: calc((100% - var(--column-gap-count)) / var(--cloumn-tablet));
        width: calc((100% - var(--column-gap-count)) / var(--cloumn-tablet));
    }
}

@media (max-width:767px) {
    .custom-grid-card .layout-switching {
        column-gap: var(--column-gap-mobile);
        row-gap: var(--row-gap-mobile);
    }

    .custom-grid-card .layout-switching>.card {
        --column-gap-count: calc(var(--column-gap-mobile) * (var(--cloumn-mobile) - 1));
        flex-basis: calc((100% - var(--column-gap-count)) / var(--cloumn-mobile));
        width: calc((100% - var(--column-gap-count)) / var(--cloumn-mobile));
    }
}

/* 弹性布局 */